haskell-cabal-helper
source package

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/haskell-cabal-helper

general

source
haskell-cabal-helper (optional, misc)
version
0.8.0.2-2
maint
Debian Haskell Group (a), Joachim Breitner (u)
arch
any all
std-ver
4.1.4
VCS
Git (browse)

versions ... ...pool

stable
save 0.7.2.0-3
unstable
save 0.8.0.2-2

binaries

todo

  • Lintian reports 12 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.3.0 instead of 4.1.4).
  • A new upstream version is available: 0.8.1.2, you should consider packaging it.

problems

  • The package has not yet entered testing even though the 10-day delay is over. Check why.

testing migration

excuses:
  • Migration status: BLOCKED: Rejected/introduces a regression
  • 141 days old (needed 10 days)
  • missing build on amd64: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on arm64: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on armel: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on armhf: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on i386: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on mips: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on mips64el: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on mipsel: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on ppc64el: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on s390x: cabal-helper, libghc-cabal-helper-dev, libghc-cabal-helper-prof (from 0.8.0.2-1)
  • missing build on all: libghc-cabal-helper-doc (from 0.8.0.2-1)
  • Updating haskell-cabal-helper introduces new bugs: #913053.
  • Waiting for piuparts test results (stalls migration) - https://piuparts.debian.org/sid/source/h/haskell-cabal-helper.html
  • arch:all not built yet, autopkgtest delayed
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on amd64: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on amd64: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on arm64: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on arm64: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on armel: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on armel: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on armhf: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on armhf: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on i386: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on i386: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on mips: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on mips: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on mips64el: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on mips64el: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on mipsel: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on mipsel: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-temporary-dev (<< 1.3)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on s390x: libghc-exceptions-dev (<< 0.9)
  • haskell-cabal-helper unsatisfiable Build-Depends(-Arch) on s390x: libghc-temporary-dev (<< 1.3)
  • Checking build-dependency (indep) on amd64
  • Not touching package due to block request by freeze (please contact debian-release if update is needed)

news RSS

bugs

all bug history graph
1
RC
1
I&N
0
M&W
0
F&P
0